org.apache.catalina.mbeans

## Class JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory

- java.lang.Object
- - javax.rmi.ssl.SslRMIServerSocketFactory
  - - org.apache.catalina.mbeans.JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory

- All Implemented Interfaces:
    RMIServerSocketFactory
  Enclosing class:
    JmxRemoteLifecycleListener

      public static class JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory
      extends SslRMIServerSocketFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory(String[] enabledCipherSuites, String[] enabledProtocols, boolean needClientAuth, String address)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerSocket` | `createServerSocket(int port)`

    - ### Methods inherited from class javax.rmi.ssl.SslRMIServerSocketFactory

      `equals, getEnabledCipherSuites, getEnabledProtocols, getNeedClientAuth, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory

          public JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory(String[] enabledCipherSuites,
                                                                  String[] enabledProtocols,
                                                                  boolean needClientAuth,
                                                                  String address)

  - ### Method Detail

    - #### createServerSocket

          public ServerSocket createServerSocket(int port)
                                          throws IOException

      Specified by:
        `createServerSocket` in interface `RMIServerSocketFactory`
      Overrides:
        `createServerSocket` in class `SslRMIServerSocketFactory`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.